Package org.apache.commons.daemon.support

# Class DaemonLoader.Controller

java.lang.Object
org.apache.commons.daemon.support.DaemonLoader.Controller

All Implemented Interfaces:
  `DaemonController`

Enclosing class:
  `DaemonLoader`

public static class DaemonLoader.Controller extends Object implements DaemonController

## Method Summary

Modifier and Type
Method
Description
`void`
`fail()`
Shuts down daemon and logs failed message.
`void`
`fail(Exception exception)`
Shuts down daemon and logs failed message.
`void`
`fail(String message)`
Shuts down daemon and logs failed message.
`void`
`fail(String message, Exception exception)`
Shuts down daemon and logs failed message.
`void`
`reload()`
Reloads daemon
`void`
`shutdown()`
Shuts down the daemon.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### shutdown

public void shutdown() throws IllegalStateException
Description copied from interface: `DaemonController`
Shuts down the daemon.

Specified by:
  `shutdown` in interface `DaemonController`
Throws:
  `IllegalStateException`

### reload

public void reload() throws IllegalStateException
Description copied from interface: `DaemonController`
Reloads daemon

Specified by:
  `reload` in interface `DaemonController`
Throws:
  `IllegalStateException`

### fail

public void fail()
Description copied from interface: `DaemonController`
Shuts down daemon and logs failed message.

Specified by:
  `fail` in interface `DaemonController`

### fail

public void fail(String message)
Description copied from interface: `DaemonController`
Shuts down daemon and logs failed message.

Specified by:
  `fail` in interface `DaemonController`

### fail

public void fail(Exception exception)
Description copied from interface: `DaemonController`
Shuts down daemon and logs failed message.

Specified by:
  `fail` in interface `DaemonController`

### fail

public void fail(String message, Exception exception)
Description copied from interface: `DaemonController`
Shuts down daemon and logs failed message.

Specified by:
  `fail` in interface `DaemonController`